package com.intershop.support.component.mycoupon.internal;

import com.intershop.beehive.businessobject.capi.BusinessObjectContext;
import com.intershop.beehive.core.capi.domain.AbstractPersistentObjectBO;
import com.intershop.support.component.mycoupon.capi.MyCouponBO;

public class MyCouponBOImpl extends AbstractPersistentObjectBO<MyCouponPO> implements MyCouponBO
{
    public MyCouponBOImpl(MyCouponPO myCouponPO, BusinessObjectContext context)
    {
        super(myCouponPO, context);
    }

    @Override
    public String getCode()
    {
        return this.getPersistentObject()
                        .getCoupon();
    }

    @Override
    public String getEmail()
    {
        return this.getPersistentObject()
                        .getEmail();
    }
}
